% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bootstrapCIs.R
\name{plot.bootstrapCI}
\alias{plot.bootstrapCI}
\alias{print.bootstrapCI}
\alias{print.bootstrapCI}
\title{Methods for objects of class bootstrapCI}
\usage{
\method{plot}{bootstrapCI}(x, which = NULL, pers = TRUE,
  commonRange = TRUE, showNumbers = FALSE, showQuantiles = TRUE,
  ask = TRUE, probs = c(0.25, 0.5, 0.75), ylim = NULL, ...)

\method{print}{bootstrapCI}(x, ...)
}
\arguments{
\item{x}{an object of class \code{bootstrapCI}.}

\item{which}{base-learners that are plotted}

\item{pers}{plot coefficient surfaces as persp-plots? Defaults to \code{TRUE}.}

\item{commonRange, }{plot predicted coefficients on a common range, defaults to \code{TRUE}.}

\item{showNumbers}{show number of curve in plot of predicted coefficients, defaults to \code{FALSE}}

\item{showQuantiles}{plot the 0.05 and the 0.95 Quantile of coefficients in 1-dim effects.}

\item{ask}{defaults to \code{TRUE}, ask for next plot using \code{par(ask = ask)}?}

\item{probs}{vector of quantiles to be used in the plotting of 2-dimensional coefficients surfaces,
defaults to \code{probs = c(0.25, 0.5, 0.75)}}

\item{ylim}{values for limits of y-axis}

\item{...}{additional arguments passed to callies.}
}
\description{
Methods for objects that are fitted to compute bootstrap confidence intervals.
}
\details{
\code{plot.bootstrapCI} plots the bootstrapped coefficients.
}
