% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/crossvalidation.R
\name{mstop.validateFDboost}
\alias{mstop.validateFDboost}
\alias{print.validateFDboost}
\alias{plot.validateFDboost}
\alias{mstop.validateFDboost}
\alias{plotPredCoef}
\title{Methods for objects of class validateFDboost}
\usage{
\method{mstop}{validateFDboost}(object, riskopt = c("mean", "median"), ...)

\method{print}{validateFDboost}(x, ...)

\method{plot}{validateFDboost}(x, riskopt = c("mean", "median"),
  ylab = attr(x, "risk"), xlab = "Number of boosting iterations",
  ylim = range(x$oobrisk), which = 1, modObject = NULL,
  predictNA = FALSE, names.arg = NULL, ask = TRUE, ...)

plotPredCoef(x, which = NULL, pers = TRUE, commonRange = TRUE,
  showNumbers = FALSE, showQuantiles = TRUE, ask = TRUE, terms = TRUE,
  probs = c(0.25, 0.5, 0.75), ylim = NULL, ...)
}
\arguments{
\item{object}{object of class \code{validateFDboost}}

\item{riskopt}{how the risk is minimized to obtain the optimal stopping iteration; 
defaults to the mean, can be changed to the median.}

\item{...}{additional arguments passed to callies.}

\item{x}{an object of class \code{validateFDboost}.}

\item{ylab}{label for y-axis}

\item{xlab}{label for x-axis}

\item{ylim}{values for limits of y-axis}

\item{which}{In the case of \code{plotPredCoef()} the subset of base-learners to take into account for plotting. 
In the case of \code{plot.validateFDboost()} the diagnostic plots that are given 
(1: empirical risk per fold as a funciton of the boosting iterations, 
2: empirical risk per fold, 3: MRD per fold, 
4: observed and predicted values, 5: residuals; 
2-5 for the model with the optimal number of boosting iterations).}

\item{modObject}{if the original model object of class \code{FDboost} is given 
predicted values of the whole model can be compared to the predictions of the cross-validated models}

\item{predictNA}{should missing values in the response be predicted? Defaults to \code{FALSE}.}

\item{names.arg}{names of the observed curves}

\item{ask}{defaults to \code{TRUE}, ask for next plot using \code{par(ask = ask)}  ?}

\item{pers}{plot coefficient surfaces as persp-plots? Defaults to \code{TRUE}.}

\item{commonRange, }{plot predicted coefficients on a common range, defaults to \code{TRUE}.}

\item{showNumbers}{show number of curve in plot of predicted coefficients, defaults to \code{FALSE}}

\item{showQuantiles}{plot the 0.05 and the 0.95 Quantile of coefficients in 1-dim effects.}

\item{terms}{logical, defaults to \code{TRUE}; plot the added terms (default) or the coefficients?}

\item{probs}{vector of quantiles to be used in the plotting of 2-dimensional coefficients surfaces,
defaults to \code{probs = c(0.25, 0.5, 0.75)}}
}
\description{
Methods for objects that are fitted to determine the optimal mstop and the 
prediction error of a model fitted by FDboost.
}
\details{
The function \code{mstop.validateFDboost} extracts the optimal mstop by minimizing the 
mean (or the median) risk. 
\code{plot.validateFDboost} plots cross-validated risk, RMSE, MRD, measured and predicted values 
and residuals as determined by \code{validateFDboost}. The function \code{plotPredCoef} plots the 
coefficients that were estimated in the folds - only possible if the argument getCoefCV is \code{TRUE} in 
the call to \code{validateFDboost}.
}
